<?
	
	
	// IP-Adresse ermitteln
	function getIp() {
    	$ip = shell_exec("(/sbin/ifconfig eth0; /sbin/ifconfig eth1; /sbin/ifconfig wlan0) | grep \"inet Adresse\" | awk '{ if (++n==1) print $2 }' | awk -F: '{ print $2 }'");
    	return $ip;
	}

	// Plugin Aktivieren/Deaktivieren
	function editPlugin($PLUGIN, $ACTION) {
		
		$STATE=shell_exec('svdrpsend.pl NEXT rel | grep "250 "');
		//$STATE="250 1 -2379";
		$DATA=explode(" ",$STATE);
		$REC="";

		if($DATA[2]<0) {
			$RECORDING=shell_exec('svdrpsend.pl LSTT '.$DATA[1].' | grep "250 "');
			//$RECORDING="250 1 9:4:2008-01-20:2010:2125:50:99:Serien~Navy CIS~Einmal ein Held:<epgsearch><Channel>4 - SAT.1</Channel><Search timer>Navy CIS</Search timer><Start>1200856200</Start><Stop>1200860700</Stop><S-ID>8</S-ID></epgsearch>";
			$REC_DATA=explode(":",$RECORDING);
			$REC=substr($REC_DATA[3],0,2).':'.substr($REC_DATA[3],2,4).' - '.substr($REC_DATA[4],0,2).':'.substr($REC_DATA[4],2,4).' Uhr: '.$REC_DATA[7]	;
		}
		else {
			include('vars.inc.php');
			$CMD="sudo -u root $EASYPORTAL_SH  ". $_GET['action'] . " " . $_GET['plugin'] . " " . $EASYPORTAL_PLUGIN_LOG;
			$V_RETURN = shell_exec($CMD);
			//$REC=$CMD;
		}
		return $REC;
	}
?>
